using System.Linq;
using BeWo.Report.ReportObjects;

namespace BeWo.Report.DefaultReports
{
	public partial class KassenbuchReport : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<KassenbuchRO>
	{
		public KassenbuchReport()
		{
			InitializeComponent();
		}

		public void SetReportDataSource(KassenbuchRO pRO)
		{
			if (pRO.Transaktionen != null)
			{
				pRO.Transaktionen = pRO.Transaktionen.OrderBy(o => o.Belegdatum).ToList();
			}
			
			bindingSource1.DataSource = pRO;
		}
	}
}
